### Method

# EBackend Cache get_count

since: 3.26

#### Declaration [src]

    guint
    e_cache_get_count (
      ECache* cache,
      ECacheDeletedFlag deleted_flag,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

Available since: 3.26

#### Parameters

`deleted_flag`

  Type: `ECacheDeletedFlag`

  One of `ECacheDeletedFlag` enum.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `guint`

Count of objects stored in the `cache`.